Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.source
Class SourceControllerFile

    java.lang.Object
      org.joseki.server.source.SourceControllerFile

All Implemented Interfaces:
  Loadable, SourceController

Direct Known Subclasses:
  SourceControllerFileDebug

public class SourceControllerFile
extends java.lang.Object
implements SourceController, Loadable

SourceController for RDF models held in files. Does not cause updates to the model to be propagated back to the disk file.

Version:
  $Id: SourceControllerFile.java,v 1.10 2004/04/30 14:13:14 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`SourceControllerFile()`

Method Summary
`void` | `activate()`
`com.hp.hpl.jena.rdf.model.Model` | `buildSource()`
`ModelSource` | `createSourceModel(com.hp.hpl.jena.rdf.model.Resource description, java.lang.String _serverURI)`
`void` | `deactivate()`
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.
`java.lang.String` | `getServerURI()`
`void` | `init(com.hp.hpl.jena.rdf.model.Resource binding, com.hp.hpl.jena.rdf.model.Resource implementation)` Allow an implementation to initialise, based on configuration file
`void` | `releaseSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceControllerFile

    public SourceControllerFile()

Method Detail

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  Description copied from interface: `Loadable`
  The URI for this loadable class. Must agree with the URI specified on loading (if any).

  Specified by:
    `getInterfaceURI` in interface `Loadable`

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource binding,
                     com.hp.hpl.jena.rdf.model.Resource implementation)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`

### createSourceModel

    public ModelSource createSourceModel(com.hp.hpl.jena.rdf.model.Resource description,
                                         java.lang.String _serverURI)

  Specified by:
    `createSourceModel` in interface `SourceController`

### getServerURI

    public java.lang.String getServerURI()

  Specified by:
    `getServerURI` in interface `SourceController`

### activate

    public void activate()

  Specified by:
    `activate` in interface `SourceController`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `SourceController`

### buildSource

    public com.hp.hpl.jena.rdf.model.Model buildSource()

  Specified by:
    `buildSource` in interface `SourceController`

### releaseSource

    public void releaseSource()

  Specified by:
    `releaseSource` in interface `SourceController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.